Name: libindi
Version: 0.6
Release: 8%{?dist}
Summary: Instrument Neutral Distributed Interface

Group: Development/Libraries
License: LGPLv2+ and GPLv2+
# The code is LGPLv2+ except:
# some files for v4l2 conversion under libs/webcam are GPLv2+
# drivers/video/stvdriver (indi_stv driver) appears to contain GPL code
# upstream bug https://sourceforge.net/tracker2/?func=detail&aid=2572902&group_id=90275&atid=593019

# rpmlint warning libindi call exit
# upstream bug https://sourceforge.net/tracker2/?func=detail&aid=2572863&group_id=90275&atid=593019

URL: http://indi.sourceforge.net/

%define majorver 0

Source0: http://downloads.sourceforge.net/indi/%{name}%{majorver}_%{version}.tar.gz
Patch0: libindi-suffix.patch
# https://sourceforge.net/tracker2/?func=detail&aid=2599980&group_id=90275&atid=593019
Patch1: libindi-cfitsio.patch
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: cmake cfitsio-devel zlib-devel libnova-devel libfli-devel

%description
INDI is a distributed control protocol designed to operate
astronomical instrumentation. INDI is small, flexible, easy to parse,
and scalable. It supports common DCS functions such as remote control,
data acquisition, monitoring, and a lot more.


%package devel
Summary: Libraries, includes, etc. used to develop an application with %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Provides: libindi-static = %{version}-%{release}
%description devel
These are the header files needed to develop a %{name} application

%prep
%setup -q -n %{name}%{majorver}-%{version}
%patch0 -p1
%patch1 -p1

%build
%cmake
make VERBOSE=1 %{?_smp_mflags}

%install
rm -fr %{buildroot}
make install  DESTDIR=%{buildroot}

%clean
rm -fr %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.LIB LICENSE README README.drivers README.robofocus 
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/indi

%files devel
%defattr(-,root,root,-)
%doc README COPYING.LIB LICENSE
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Sergio Pascual <sergiopr at fedoraproject.org> -  0.6-6
- Provides libindi-static

* Tue Feb 17 2009 Sergio Pascual <sergiopr at fedoraproject.org> -  0.6-5
- Need to provide the static library libindidriver.a to build indi-apogee

* Sat Feb 14 2009 Sergio Pascual <sergiopr at fedoraproject.org> -  0.6-4
- Fixed patch to find cfitsio

* Sat Feb 14 2009 Sergio Pascual <sergiopr at fedoraproject.org> -  0.6-3
- Patch to detect cfitsio in all architectures

* Fri Feb 06 2009 Sergio Pascual <sergiopr at fedoraproject.org> -  0.6-2
- Commands (rm, make) instead of macros
- Upstream bug about licenses (GPLv2 missing)
- Upstream bug about libindi calling exit

* Mon Jan 28 2009 Sergio Pascual <sergiopr at fedoraproject.org> -  0.6-1
- First version
